That looks really good. Does the glass have thickness? I.e. not just a single plane.
(For correct rendering with refraction it must have thickness.)
Posts
-
RE: Windowizer
-
RE: [Plugin] Remove Inner Faces
@unknownuser said:
the subdive and smooth plugin set has a tool that does what ur asking for however u cant control how much it extrudes (which is a bit silly really) it just extrudes a bit to give you those extra faces then u have to manually drag it to the legth u want
Yeah, that tool would be great to have as a standalone script as an alternative to the normal pushpull tool.
-
RE: Shortcuts and keys in rubys collide
@unknownuser said:
how about using Control as modifier ?
Would "Caps Lock" work as a modifier?
Or would the "standard" shortcut keys still be enabled?Or would it be possible using a keydown on Ctrl but no keyup in script?
-
RE: Shortcuts and keys in rubys collide
What I'm after is a way of moving the camera in a game like way with the w,a,s,d keys.
I could use the arrow keys but adding extra keys for elevation and such wouldnt be as easy. -
RE: Shortcuts and keys in rubys collide
@adamb said:
Why don't you plug in another keyboard and double the number of keys.
Seriously, could it be done through the SDK with some sort of connection so that it could be used in rubys?
-
Shortcuts and keys in rubys collide
Is there a way of having your own set of keys while in a ruby, and having the same shortcuts keys "deactivated" while that ruby is active" so they don't collide? I hope I make myself clear. I'm running out of free keys!
-
RE: $ versus @
@unknownuser said:
Pixero: give me an example when you really need a global and I will make an example on not using it
All these globals in the script below for example:
(By the way if I would need a variable that was remembered even after leaving the plugin and re entering. Should that be a global?
Like if I set a $currentFrame variable and wanted it to be recalled later when using the script again? Hope I make myself clear.)# Name; jsMoveTool # Author; Jan Sandstrom www.pixero.com # Description; Moves a selection with the arrow keys. # Usage; 1. Select a object or group of objects. # 2. Select the JS MoveTool and enter a distance in the VCB. Press Return/Enter. # 3. Now move with arrow keys. # 4. Use Alt + Up/Down to move in Z axis. # 5. You can enter a new distance at any time. # # Version 1.1 # Added; # 6. Press Ctrl (Apple Key on Mac) for distance * 0.1 # 6. Press Shift for distance * 10 require 'sketchup.rb' class JS_MoveTool def activate # This sets the label for the VCB Sketchup;;set_status_text "Distance", SB_VCB_LABEL end model = Sketchup.active_model entities = model.active_entities ss = model.selection if RUBY_PLATFORM == "i386-mswin32" then # Win XP $leftArrow = 37 # Arrow Left Key $upArrow = 38 # Arrow Up Key $rightArrow = 39 # Arrow Right Key $downArrow = 40 # Arrow Down Key $altKey = 18 # Alt Key $shiftKey = 16 # Shift Key $controlKey = 17 # Control Key elsif RUBY_PLATFORM == "powerpc-darwin" then # Mac OSX $leftArrow = 63234 # Arrow Left Key $upArrow = 63232 # Arrow Up Key $rightArrow = 63235 # Arrow Right Key $downArrow = 63233 # Arrow Down Key $altKey = 524288 # Alt/Option Key $shiftKey = 131072 # Shift Key $controlKey = 1048576 # Command (Apple) Key end #if def onUserText (text, view) # The user may type in something that we can't parse as a length # so we set up some exception handling to trap that begin $value = text.to_l rescue # Error parsing the text UI.beep puts "Cannot convert #{text} to a Length" $value = nil Sketchup;;set_status_text "", SB_VCB_VALUE end return if !$value Sketchup;;set_status_text $value.to_s, SB_VCB_VALUE def onKeyDown(key, repeat, flags, view) # puts key # For debug - finding the right keycodes if (key == $altKey) $altDown = true; end #if if (key == $shiftKey) $shiftDown = true; end #if if (key == $controlKey) $controlDown = true; end #if @distance = $value Sketchup.active_model.selection.each {|e| # X axis if (key == $rightArrow) # Right dist = Geom;;Point3d.new [@distance, 0, 0]; end#if if ($controlDown == true && key == $rightArrow) # Right * 0.1 @distance = @distance * 0.1; dist = Geom;;Point3d.new [@distance, 0, 0]; end#if if ($shiftDown == true && key == $rightArrow) # Right * 10 @distance = @distance * 10; dist = Geom;;Point3d.new [@distance, 0, 0]; end#if if (key == $leftArrow) # Left dist = Geom;;Point3d.new [-@distance, 0, 0]; end#if if ($controlDown == true && key == $leftArrow) # Left * 0.1 @distance = @distance * 0.1; dist = Geom;;Point3d.new [-@distance, 0, 0]; end#if if ($shiftDown == true && key == $leftArrow) # Left * 10 @distance = @distance * 10; dist = Geom;;Point3d.new [-@distance, 0, 0]; end #if # Y axis if (key == $upArrow) # Up dist = Geom;;Point3d.new [0, @distance, 0]; end #if if ($controlDown == true && key == $upArrow && $altDown == false) # Up * 0.1 @distance = @distance * 0.1; dist = Geom;;Point3d.new [0, @distance, 0]; end #if if ($shiftDown == true && key == $upArrow && $altDown == false) # Up * 10 @distance = @distance * 10; dist = Geom;;Point3d.new [0, @distance, 0]; end #if if (key == $downArrow) # Down dist = Geom;;Point3d.new [0, -@distance, 0]; end #if if ($controlDown == true && key == $downArrow && $altDown == false) # Down * 0.1 @distance = @distance * 0.1; dist = Geom;;Point3d.new [0, -@distance, 0]; end #if if ($shiftDown == true && key == $downArrow && $altDown == false) # Down * 10 @distance = @distance * 10; dist = Geom;;Point3d.new [0, -@distance, 0]; end #if # Z axis if ($altDown == true && key == $upArrow) # Alt + Up dist = Geom;;Point3d.new [0, 0, @distance]; end #if if ($controlDown == true && $altDown == true && key == $upArrow) # Alt + Up * 0.1 @distance = @distance * 0.1; dist = Geom;;Point3d.new [0, 0, @distance]; end #if if ($shiftDown == true && $altDown == true && key == $upArrow) # Alt + Up * 10 @distance = @distance * 10; dist = Geom;;Point3d.new [0, 0, @distance]; end #if if ($altDown == true && key == $downArrow) # Alt + Down dist = Geom;;Point3d.new [0, 0, -@distance]; end #if if ($controlDown == true && $altDown == true && key == $downArrow) # Alt + Down * 0.1 @distance = @distance * 0.1; dist = Geom;;Point3d.new [0, 0, -@distance]; end #if if ($shiftDown == true && $altDown == true && key == $downArrow) # Alt + Down * 10 @distance = @distance * 10; dist = Geom;;Point3d.new [0, 0, -@distance]; end #if # Now move it! tr = Geom;;Transformation.new (dist); Sketchup.active_model.entities.transform_entities(tr, e); } #each end #onKeyDown end #onUserText def onKeyUp(key, repeat, flags, view) if (key == $altKey) $altDown = false; end #if if (key == $shiftKey) $shiftDown = false; end #if if (key == $controlKey) $controlDown = false; end #if end #def end # end of jsMoveTool if( not file_loaded?("jsMoveTool.rb") ) plugins_menu = UI.menu("Plugins") plugins_menu.add_item("JS MoveTool") { Sketchup.active_model.select_tool JS_MoveTool.new } end
-
RE: $ versus @
@unknownuser said:
never, ever use globals in Ruby
I admit I have done it.
Simply because I don't know how not to.
A simple tutorial with example code would be of tremendous help.By the way I've seen the use of double @@. What's that for?
-
Vista and Open GL speed?
Just curious, Before Vista there was a lot of talk about Vista not supporting Open GL directly, only through DirectX or what ever.
I'm still on XP so my question is; Whats the deal with Vista and OpenGL speed versus XP and OpenGL speed? -
RE: My ruby's
Updated my jsMoveTool at a request. Now press ctrl (Apple key on Mac) to move 1/10 the entered value and Shift to move 10 * the entered value. (And press alt for moving in Z direction as before.)
Thanks to Rick W for fixing a bug.Get it at my site http://www.pixero.com
Enjoy!
-
RE: [Plugin] GreyscaleMode
Jim: I see you use the average of r, g and b to get the greyscale color.
A often used and more visually correct way is to use this formula:Greyscale = (r * 0.3) + (g * 0.59) + (b * 0.11);
-
RE: [Request] SketchUp to .mi exporter
Ok. I'll keep an eye on when Podium 2 is released then. Any time frame for it?
If there is anyone else interested in making this exporter let me know.
-
RE: [Request] SketchUp to .mi exporter
Are you willing to make it and how much would it cost?
-
RE: [Request] SketchUp to .mi exporter
TBD, have you had time to look into it yet?
-
RE: [Request] SketchUp to .mi exporter
@unknownuser said:
can I take a peek on the .mi format ?
(LE: it is this description ?)Yes thats a very brief explanation.
For more info you can see this pdf: http://files.3dtotal.ru/ebook/MayaMentalRayManual.pdf
Specially the chapter "Scene Description Language" page 41 and on.Hope this helps.
-
[Request] SketchUp to .mi exporter
- Is there someone who could make a Sketchup exporter to MentalRay's .mi format?
- Is there someone crazy enough to do it for free?
- If not, how much would such an export script cost?
I'd love to be able to use MentalRay to render. There is also the mentalray compatible renderer: Holomatix Renditioner that can render .mi files in near realtime. http://www.holomatix.com/products/rendition/about/
Wouldn't that be something?Edit:
P.S. I can provide information on the .mi file format if needed. -
RE: Hp xp pro notebook confusion.
@baz said:
remus, while you're there, could you tell me something about codecs?
Something to do with media players is all I know.
I just had a look at jan's site and tried to view his spider animation but 'wrong codec'.
bazWell, to watch the spider animation you need to install the free DivX codec. http://www.divx.com
There is also several codec packs that includes support for DivX movies. -
RE: Hp xp pro notebook confusion.
Can't you format the Hard Drive and make a clean install with just Windows XP and then add what you want after that?
Surely there is a Windows CD that came with the computer.
It'll take a while to get all the extras, drivers and updates installed but you would get rid of all the crap.
Thats what I did with my Dell laptop.
(By the way I use Nod32 antivirus and it's great.) -
RE: 20 ruby's you can't live without
There are so many good new scripts now but one I use very frequently is "Put on layer."
Without it my models would be a mess. With it I can hide large portions of geometry while modelling and turn their layers on when i need too.Another incredible one is of cause "Joint push pull." This is one of those "how did we survive without it" scripts.
And "Left click reverse faces." Simple and quick it does what it says.
And...and...and...
I'd better stop now and leave some to you.
-
RE: DX Studio
I've tried it a bit and belive I will do some more testing once the new version is out in September.